// sample5Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Sample5.h"
#include "Sample5Dlg.h"
#include "ImportAPI.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// Csample5Dlg dialog

//////////////////////////////////////////////////////////////////////////////////////////////
//Mounting PrinterAPI  
//////////////////////////////////////////////////////////////////////////////////////////////
CPrinterAPI	PrinterAPI;

CSample5Dlg::CSample5Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSample5Dlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSample5Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CSample5Dlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDPrint, &CSample5Dlg::OnBnClickedPrint)
END_MESSAGE_MAP()


// gestionnaires de messages pour CSample5Dlg

BOOL CSample5Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	//////////////////////////////////////////////////////////////////////////////////////////////
	//Load PrinterAPI
	//////////////////////////////////////////////////////////////////////////////////////////////
	if ( PrinterAPI.Initialize() == FALSE ) 
	{
		AfxMessageBox(_T("Error :Load PrinterAPI"));
		return FALSE;
	}
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSample5Dlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSample5Dlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


void CSample5Dlg::OnBnClickedPrint()
{
HDC hdc;
DOCINFO docinfo; 
HFONT hFont,hBeforeFont;
DWORD width, height;	//バーコードの幅、高さ
CHAR DriverName[] = "NPI Integration Driver";	//ドライバ名

	width = 300;
	height = 100;

	memset(&docinfo, 0, sizeof(DOCINFO));
	docinfo.cbSize = sizeof(DOCINFO);
	docinfo.lpszDocName = "testprint"; 

	//!!注意!! CreateDCの引数は各環境で異なります 
	hdc = CreateDC(DriverName, DriverName, NULL, NULL);
	StartDoc(hdc, &docinfo);	
	StartPage(hdc);
	hFont = CreateFont(40, 0, 0, 0, FW_NORMAL, FALSE, FALSE, 0,
            SHIFTJIS_CHARSET, OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS,
            DEFAULT_QUALITY, DEFAULT_PITCH, "Century");

	hBeforeFont = (HFONT)SelectObject(hdc, hFont);
	TextOut(hdc, 0, 0, "Barcode Sample", 14);
	SelectObject(hdc, hBeforeFont);
    DeleteObject(hFont);

	PrinterAPI.NBarcodeSettings(0, 3, 80, 0, 0, 0, 0, 2, 0, 0);	//UPC-A、幅3dot、高さ80dot、HRI文字指定
	PrinterAPI.NBarcode2(hdc,50,50, &width, &height,(PBYTE)"012345678905",12);

	EndPage(hdc);
	EndDoc(hdc);
	DeleteDC(hdc);
}
